Subject: UHF v.s. ROHF

From: "JDA03546@niftyse" <[email-masked]>
Date: Fri, 05 Jan 1996 18:21:00 +0900

Dear all,

I asked about the UHF/ROHF calculation last year.
The answers are not really consistent. Any further comments
are welcome. The original post is followed by the answers.
Many thanks to those who responded.

--- original post 1 ---
I'm calculating some open shell systems with gaussian 94.
I've been using UHF but since my systems are suffering from the 
terrible spin contaminations, I'm considering to use ROHF.

Anyway, I just tested with the simplest case, dissociated H2.
I set the atomic distance 5A and calculated with both UHF and ROHF.
The total energy and MO coeff. were equal.
UHF:
 SCF Done:  E(UHF) =  -.933163683734     A.U. after    1 cycles
     Alpha Molecular Orbital Coefficients
                           1         2
                       (SGG)--O  (SGU)--O
     EIGENVALUES --     -.46668   -.46648
   1 1   H  1S           .70707    .70714
   2 2   H  1S           .70707   -.70714
     Beta Molecular Orbital Coefficients.
                           1         2
                       (SGG)--V  (SGU)--V
     EIGENVALUES --      .30788    .30817
   1 1   H  1S           .70707    .70714
   2 2   H  1S           .70707   -.70714
ROHF:
 SCF Done:  E(ROHF) =  -.933163683734     A.U. after    1 cycles
     Molecular Orbital Coefficients
                           1         2
                       (SGG)--O  (SGU)--O
     EIGENVALUES --     -.05293   -.05277
   1 1   H  1S           .70707    .70714
   2 2   H  1S           .70707   -.70714

Since this is dissociated, the electrons should be delocalized.
To obtain this picture, I did natural orbital analysis. And here
UHF and ROHF contradicts.
UHF:
     Natural Orbital Coefficients
                           1         2
     EIGENVALUES --     1.00000   1.00000
   1 1   H  1S           .96171   -.27406
   2 2   H  1S           .27395    .96174
ROHF:
     Natural Orbital Coefficients
                           1         2
     EIGENVALUES --     1.00000   1.00000
   1 1   H  1S           .78213   -.62311
   2 2   H  1S           .62303    .78220

Now a question rises. What I understand is in ROHF alpha and beta 
electrons are restricted to occupy the same spacial orbitals.
Then, shouldn't all the properties calculated from ROHF and from UHF
be the same if alpha and beta orbitals are equal (and equal to the ROHF
orbitals) as this case? What am I missing?

--- original post 2 ---
I posted this yesterday and have already received some replies. 
I really appreciate those who responded!
I'm sorry that I forgot to say an important thing. Since my purpose
is to compare UHF and ROHF, the system has to be open shell. So the
calculation was done in triplet state and both UHF and ROHF gave the 
S**2 value exactly 2.

--- answer 1 ---
Date: Tue, 12 Dec 1995 22:59:30 -0500
From: David Heisterberg <[email-masked]>
To: [email-masked]

>Then, shouldn't all the properties calculated from ROHF and from UHF
>be the same if alpha and beta orbitals are equal (and equal to the ROHF
>orbitals) as this case? What am I missing?

I'll bet if you check you'll find all the properties are the same.
Natural orbitals, however, are not a property!  The NOs are the
eigenvectors of the density matrix.  Since you have two eigenvectors
with the same eigenvalue, any linear combination of the two is also
an eigenvector.  In general, NOs are only determined up to a unitary
transformation of all NOs with the same occupation number.  So ROHF
and UHF are free to disagree about the composition of the NOs, but
must agree about the occupation numbers, in this case.

Dave Heisterberg

--- answer 2 ---
Date: Wed, 13 Dec 1995 00:24:55 -0500 (EST)
From: [email-masked]
To: "JDA03546@niftyse" <[email-masked]>

Hi!

I'm not perfectly sure, but I think it's cause RHF solution is also a 
stationary point in the parameter space. (not a minimum though) Thus, 
even u claim a UHF calculation, u may still get a RHF 
solution,especially when u have a closed-shell system. 
Actually I've observed similar situation for C2H-H dissociation.

Another point maybe is that even u are dissociating, alpha and beta may 
not be quite different at small nuclear distances. If u can access to 
Szabo's famous text book "advanced electrnic structure theory", there is 
a table at the back of the book listing M.O. energies for H2 at various 
nuclear distances. It might be helpful...

If I've missed anything, please tell me. I'd also appreciate any reply u 
will get for this question...

Have a nice day...

--- answer 3 ---
Date: Wed, 13 Dec 1995 12:54:24 +0100 (NFT)
From: [email-masked]
To: "JDA03546@niftyse" <[email-masked]>

You have misunderstood the concept of ROHF: it means doubly filled
orbitals EXCEPT the open shell for which a spin eigenfunction is
formed. In H2 the closed-shell part is absent, so you have ONLY the
open shell, which is a mixture of singlet and triplet in UHF and a
pure singlet in ROHF. However, the singlet and triplet energies are
(practically) equal at the large distance you have used. Try shorter
distances, too, in order to see the difference.

Regards,

Prof. I. Mayer

--- answer 4 ---
Date: Wed, 13 Dec 1995 09:42:40 -0600
From: [email-masked]
To: [email-masked]

I am one of the authors of the NBO program.  I believe the
difference comes in the fact that the first decomposition
you cite is that of the MOs, while the Natural Orbital Coeffs
are those of the NAOs.  It is possible that a different set of
NAOs was used for the UHF vs ROHF even though the same set of
MOs is used.  However, I cannot be sure just from the information
in your message.  Would you be willing to Email me the entire
log files.  Then I could be certain.  Thank you.

--- answer 5 ---
Date: Thu, 14 Dec 1995 08:42:47 -0500
From: Renee Peloquin Mattie <[email-masked]>
To: "'JDA03546@niftyse'" <[email-masked]>

The nice thing about a two-unpaired-electron
triplet state is that it is a single reference
state -- it requires only ONE determinant to
describe it.  You could do this state with RHF.
You could do it with UHF, and get the same thing.

You could do it with ROHF.  But you never know 
exactly how ROHF orbitals are going to be defined,
unless you have some control over that issue.
There might be some kind of canonicalization procedure.
There might be some other kind of procedure for making
the orbitals fit for some particular correlated calculation.
You should check into that.

In the meantime, you might as well stick to RHF for this 
particular state.  It is the two-unpaired-electron singlet
that is supposed to give you fits!

--- answer 6 ---
Date: Thu, 14 Dec 1995 08:53:31 -0500 (EST)
From: Wang Youliang <[email-masked]>
To: "JDA03546@niftyse" <[email-masked]>

On Thu, 14 Dec 1995, JDA03546@niftyse wrote:

> (Large output part was snipped.)
> I posted this yesterday and have already received some replies. 
> I really appreciate those who responded!
> I'm sorry that I forgot to say an important thing. Since my purpose
> is to compare UHF and ROHF, the system has to be open shell. So the
> calculation was done in triplet state and both UHF and ROHF gave the 
> S**2 value exactly 2. I'll summarize the answers.
> Thank you.
> ** [email-masked]/Kazuo Teraishi <12/14 09:38> **
> 

Your problem is due to single-determinant wavefunction. You can simply
test the stability of wavefunction for UHF calculations by using
STABLE=OPT (or other options, see Gaussian Manual for details).

Good lucky

Y. Wang

--- answer 7 ---
Date: Thu, 14 Dec 1995 10:52:54 -0500 (EST)
From: Mike Peterson (System Admin) <[email-masked]>
To: [email-masked]

>I posted this yesterday and have already received some replies. 
>I really appreciate those who responded!
>I'm sorry that I forgot to say an important thing. Since my purpose
>is to compare UHF and ROHF, the system has to be open shell. So the
>calculation was done in triplet state and both UHF and ROHF gave the 
>S**2 value exactly 2. I'll summarize the answers.

In any case where all the orbitals are occupied by only alpha spin
electrons (i.e.  there are no doubly occupied and no beta spin
orbitals), and there are no degenerate levels that are not exactly half
full, you will always get exact agreement between UHF and ROHF since the
UHF will be an exact spin eigenfunction.  Try a case like Li atom
(1s,1s, 2s) to see a different result.

Also be aware that you can not do open shell singlet excited states that
have the same symmetry as the ground state with ROHF, even though it may
appear to give you a result that looks believable.  In fact you have a
lot of triplet character mixed in if I remember my ROHF theory
correctly.  You need some sort of MC-SCF or CI (e.g. at least CI
Singles) that produces multiple roots simultaneously to get higher
excited states of the same symmetry as a lower state.

Mike.